<template>
  <div
    v-show="CART_STATE === 'Merged'"
    class="pb-19px pt-29px pr-19px md:pr-8 md:pt-8 lg:pr-4 lg:pt-4 bg-grey-10"
  >
    <div class="flex items-start justify-end">
      <div class="flex items-center">
        <button
          aria-label="Close"
          class="text-black rounded-md hover:text-gray-900 focus:outline-none focus:ring-offset-2 focus:ring-gray-900"
          @click="toggleOff"
          @keypress.enter="toggleOff"
        >
          <span class="sr-only">Close panel</span>
          <svg
            xmlns="http://www.w3.org/2000/svg"
            class="w-6 h-6 fill-current"
            viewBox="0 0 24 24"
          >
            <g fill="none" fill-rule="evenodd">
              <g fill="currentColor">
                <g>
                  <path
                    d="M6.739 4.798L12.5 10.56l5.761-5.762c.398-.397 1.043-.397 1.44 0 .398.398.398 1.043 0 1.44L13.94 12l5.762 5.761c.397.398.397 1.043 0 1.44-.398.398-1.043.398-1.44 0L12.5 13.44l-5.761 5.762c-.398.397-1.043.397-1.44 0-.398-.398-.398-1.043 0-1.44L11.06 12 5.298 6.239c-.397-.398-.397-1.043 0-1.44.398-.398 1.043-.398 1.44 0z"
                    transform="translate(-720 -24) translate(720 24)"
                  />
                </g>
              </g>
            </g>
          </svg>
        </button>
      </div>
    </div>
    <!-- start mergecartmessage-->
    <div class="pl-15px md:pl-8 lg:pl-8">
      <div class="h-full" aria-hidden="true">
        <!-- icon -->
        <div class="flex justify-between">
          <div class="icon">
            <div class="relative inline-block group mr-2.5">
              <span class="icon-notification text-base ml-0.5"></span>
            </div>
          </div>
          <div class="flex flex-wrap">
            <p class="text-sm md:text-base lg:text-base font-primary-font-bold">
              Important message about your cart.
            </p>
            <p
              class="mt-0.5 md:mt-2 text-sm md:text-base lg:text-base font-primary-font-regular"
            >
              Your cart has been merged from a previous session. Please review
              the combined cart below, and then proceed to checkout.
            </p>
          </div>
        </div>
      </div>
    </div>
    <!-- end mergecartmessage-->
  </div>
</template>
<script>
import { mapState } from 'vuex'
export default {
  name: 'MkMergeCartContent',
  data() {
    return {}
  },
  computed: {
    ...mapState('CART_STORE', ['CART_STATE']),
  },
  methods: {
    toggleOff() {
      this.$store.dispatch('CART_STORE/HIDE_MSG', '')
    },
  },
}
</script>
